Get prompt detail
curl --request GET \
--url https://api.aivra.cloud/v1/integration/prompts/{prompt_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.aivra.cloud/v1/integration/prompts/{prompt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aivra.cloud/v1/integration/prompts/{prompt_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aivra.cloud/v1/integration/prompts/{prompt_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"latest_version_id": "<string>",
"active_version": {
"id": "<string>",
"prompt_id": "<string>",
"version_number": 123,
"content": "<string>",
"metadata_": {},
"created_at": "2023-11-07T05:31:56Z"
}
}Integração
Detalhar prompt
GET
/
v1
/
integration
/
prompts
/
{prompt_id}
Get prompt detail
curl --request GET \
--url https://api.aivra.cloud/v1/integration/prompts/{prompt_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.aivra.cloud/v1/integration/prompts/{prompt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aivra.cloud/v1/integration/prompts/{prompt_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aivra.cloud/v1/integration/prompts/{prompt_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aivra.cloud/v1/integration/prompts/{prompt_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"latest_version_id": "<string>",
"active_version": {
"id": "<string>",
"prompt_id": "<string>",
"version_number": 123,
"content": "<string>",
"metadata_": {},
"created_at": "2023-11-07T05:31:56Z"
}
}Propósito
Obtém detalhes de um prompt específico. Opcionalmente retorna a versão ativa de um ambiente.Parâmetros
prompt_id(path, string) obrigatórioenvironment(query, string) opcional. Ex.:production,staging
Dados retornados
id, project_id, key, name, description, latest_version_id, active_version.
Exemplo
curl -H "X-API-Key: ak_xxxxxxxxx" \
"${BASE_URL}/v1/integration/prompts/pr_1?environment=production"
{
"id": "pr_1",
"project_id": "proj_abc",
"key": "welcome",
"name": "Boas-vindas",
"latest_version_id": "ver_12",
"active_version": {
"id": "ver_12",
"prompt_id": "pr_1",
"version_number": 12,
"content": "...",
"metadata_": null,
"created_at": "2025-11-27T12:00:00Z"
}
}
Códigos de status
- 200 Sucesso
- 404 Prompt não encontrado
- 403 Workspace inválido ou projeto não autorizado
Casos de uso
- Verificar conteúdo e versão ativa usada em produção
Authorizations
Path Parameters
Query Parameters
Was this page helpful?